Loading...
Searching...
No Matches
Logger::AbstractLoggerAppenderFileRotate Class Reference

Abstract class for file appenders with rotation support. More...

Inheritance diagram for Logger::AbstractLoggerAppenderFileRotate:
[legend]

## Public Member Functions

abstract int | getCount ()
| Abstract method to get count of rotation objects.
| reopen ()
| Pushes a reopen event.

## Public Attributes

const | DEFAULT_ROTATION_COUNT = 10
| default value for rotation chain
const | EVENT_REOPEN = 10002
| reopen event
const | EVENT_ROTATE = 10001
| rotate event

## Detailed Description

Abstract class for file appenders with rotation support.

## Member Function Documentation

## reopen()

Logger::AbstractLoggerAppenderFileRotate::reopen | ( |  | ) |

Pushes a reopen event.

The current log file will be closed and opened. If the file exists, then it is ovewritten

Exceptions

  LOGGER-ERROR | if rotation is disabled